Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-3067

Fix producer API documentation for case when RequiredAcks > 1

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 0.9.0.0
    • Fix Version/s: 0.10.0.0
    • Component/s: producer
    • Labels:
      None

      Description

      RequiredAcks section of
      https://cwiki.apache.org/confluence/display/KAFKA/A+Guide+To+The+Kafka+Protocol#AGuideToTheKafkaProtocol-ProduceAPI
      probably needs to be updated/removed.

      With Kafka 0.9 number > 1 doesn't seem to be supported anymore since we are getting InvalidRequiredAcksCode error.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                omkreddy Manikumar
                Reporter:
                sezal Sergiy Zuban
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: